Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2707 closed defect (fixed)

Unsafe use of current processor index in capture engine

Reported by: Sebastian Huber Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

The current processor index is used outside a thread dispatch disabled section.

Change History (4)

comment:1 Changed on 05/12/16 at 11:35:33 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0727760336bfcb4f66771f1a86ee3bb923d2cfc4/rtems"]:

rtems: Add rtems_interrupt_lock_interrupt_disable

Update #2707.

comment:2 Changed on 05/12/16 at 11:36:20 by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In [changeset:"df23f464be5733b489eae03428d5449a37b310b9/rtems"]:

capture: Fix use of per-processor data

Get the current processor index only once and with interrupts disabled.

Close #2707.

comment:3 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.